"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoginWithAbstract = void 0;
const react_1 = require("react");
const wagmi_1 = require("wagmi");
const useLoginWithAbstract = () => {
    const { connect, connectors } = (0, wagmi_1.useConnect)();
    const { disconnect } = (0, wagmi_1.useDisconnect)();
    const login = (0, react_1.useCallback)(() => {
        const connector = connectors.find((c) => c.id === 'xyz.abs.privy');
        if (!connector) {
            throw new Error('Abstract connector not found');
        }
        connect({ connector });
    }, [connect, connectors]);
    const logout = (0, react_1.useCallback)(() => {
        disconnect();
    }, [disconnect]);
    return {
        login,
        logout,
    };
};
exports.useLoginWithAbstract = useLoginWithAbstract;
//# sourceMappingURL=useLoginWithAbstract.js.map